MCP Tools Reference: paydeveloper.googleapis.com

Tool: enable_google_pay_api

Enables the Google Pay API for a newly created or existing merchant account. This is a prerequisite before proceeding with adding platform-specific integrations (web or Android).

The following sample demonstrate how to use curl to invoke the enable_google_pay_api MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "enable_google_pay_api",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for EnableGooglePayApi.

EnableGooglePayApiRequest

JSON representation
{
  "merchantId": string
}
Fields
merchantId

string

Required. The merchant id of the merchant, for which to enable the Google Pay API.

Output Schema

Response message for EnableGooglePayApi.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌